com.ihr.xbrl.om.formula.util

## Class FilterMemberCache

- java.lang.Object
- - com.ihr.xbrl.om.formula.util.FilterMemberCache

-     public class FilterMemberCache
      extends java.lang.Object

  The Class FilterMemberCache.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterMemberCache()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<net.sf.saxon.value.QNameValue>` | `cacheGet(net.sf.saxon.value.QNameValue qMember, net.sf.saxon.value.StringValue qLinkRole, net.sf.saxon.value.StringValue arcRole, net.sf.saxon.value.StringValue axis)` Cache get.
    `void` | `cachePut(net.sf.saxon.value.QNameValue qMember, net.sf.saxon.value.StringValue qLinkRole, net.sf.saxon.value.StringValue arcRole, net.sf.saxon.value.StringValue axis, java.util.ArrayList<net.sf.saxon.value.QNameValue> hsResult)` Cache put.
    `void` | `clear()` Clear.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterMemberCache

          public FilterMemberCache()

  - ### Method Detail

    - #### clear

          public void clear()

      Clear.

    - #### cacheGet

          public java.util.ArrayList<net.sf.saxon.value.QNameValue> cacheGet(net.sf.saxon.value.QNameValue qMember,
                                                                    net.sf.saxon.value.StringValue qLinkRole,
                                                                    net.sf.saxon.value.StringValue arcRole,
                                                                    net.sf.saxon.value.StringValue axis)

      Cache get.
      Parameters:
        `qMember` - the q member
        `qLinkRole` - the q link role
        `arcRole` - the arc role
        `axis` - the axis
      Returns:
        the array list

    - #### cachePut

          public void cachePut(net.sf.saxon.value.QNameValue qMember,
                      net.sf.saxon.value.StringValue qLinkRole,
                      net.sf.saxon.value.StringValue arcRole,
                      net.sf.saxon.value.StringValue axis,
                      java.util.ArrayList<net.sf.saxon.value.QNameValue> hsResult)

      Cache put.
      Parameters:
        `qMember` - the q member
        `qLinkRole` - the q link role
        `arcRole` - the arc role
        `axis` - the axis
        `hsResult` - the hs result